Subject: Re: [PATCH v2] 9p/trans_fd: remove Excess kernel-doc comment

From: Dominique Martinet <[email-masked]>
Date: Mon, 12 Feb 2024 21:13:49 +0900

Randy Dunlap wrote on Sun, Feb 11, 2024 at 08:33:41PM -0800:
> Remove the "@req" kernel-doc description since there is not 'req'
> member in the struct p9_conn.
> 
> Fixes one kernel-doc warning:
> trans_fd.c:133: warning: Excess struct member 'req' description in 'p9_conn'
> 
> Signed-off-by: Randy Dunlap <[email-masked]>

Sorry for the lack of reply, I intended to take the patch when the next
""real"" patch comes in but it doesn't look like we'll get much activity
this cycle so I've just queued it up to -next.

Thanks!

FWIW, I contemplated adding
Fixes: 6d35190f3953 ("9p: Rename req to rreq in trans_fd")
but that's basically been forever so I don't think anyone will care
about backports -- and I'm both surprised and ashamed I didn't see this
W=1 warning earlier, I thought I regularly build with that...

-- 
Dominique